> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onlyfansapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Chats (/api-reference/fansly/chats/list-chats)

Get the list of chats (messaging groups) for a Fansly Account.

## OpenAPI

````yaml https://app.onlyfansapi.com/scribe-fansly-docs/openapi.yaml get /api/fansly/{fanslyAccount}/chats
openapi: 3.0.3
info:
  title: Fansly API Documentation
  description: ""
  version: 1.0.0
servers:
  - url: https://app.onlyfansapi.com
security:
  - default: []
tags:
  - name: Account
    description: Endpoints for your linked Fansly accounts
  - name: Chats
    description: Endpoints for Fansly chats (messaging groups)
  - name: Earnings
    description: Endpoints for Fansly Earnings — wallets, balances, transactions,
      payouts, and statements.
  - name: Followers
    description: Endpoints for Fansly followers.
  - name: Lists
    description: Endpoints for Fansly subscriber/fan lists (e.g. "VIP", "Spenders").
  - name: Profile Statistics
    description: Endpoints for Fansly Profile Statistics (viewer engagement insights).
  - name: Subscribers
    description: Endpoints for Fansly subscribers and subscription tiers.
  - name: Top Supporters
    description: Endpoints for the Fansly "Top Supporters" view — see who spends the
      most and what they spend on.
  - name: Tracking Links
    description: Endpoints for Fansly tracking links — per-source attribution links
      (e.g. "Twitter bio", "FYP", "Search").
  - name: Users
    description: APIs for fetching Fansly users
paths:
  /api/fansly/{fanslyAccount}/chats:
    parameters:
      - in: path
        name: fanslyAccount
        description: The Fansly Account ID
        example: fansly_acct_XXXXXXXXXXXXXXX
        required: true
        schema:
          type: string
    get:
      summary: List Chats
      operationId: listChats
      description: Get the list of chats (messaging groups) for a Fansly Account.
      parameters:
        - in: query
          name: limit
          description: Number of chats to return (1 - 100). Default = 20
          example: 20
          required: false
          schema:
            type: string
            description: Number of chats to return (1 - 100). Default = 20
            example: 20
        - in: query
          name: offset
          description: Number of chats to skip for pagination. Default = 0
          example: 0
          required: false
          schema:
            type: string
            description: Number of chats to skip for pagination. Default = 0
            example: 0
        - in: query
          name: search
          description: Search query to filter chats by partner username/display name
          example: lillie
          required: false
          schema:
            type: string
            description: Search query to filter chats by partner username/display name
            example: lillie
        - in: query
          name: order
          description: Sort order for chats. Default = newest
          example: newest
          required: false
          schema:
            type: string
            description: Sort order for chats. Default = newest
            example: newest
            enum:
              - newest
              - oldest
              - unread
      responses:
        "200":
          description: Success
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    data:
                      - account_id: "100000000000000001"
                        groupId: "200000000000000001"
                        partnerAccountId: "300000000000000001"
                        partnerUsername: partner
                        flags: 0
                        unreadCount: 1
                        subscriptionTierId: null
                        lastMessageId: "400000000000000001"
                        lastUnreadMessageId: "400000000000000001"
                    aggregationData:
                      accounts:
                        - id: "300000000000000001"
                          username: partner
                          displayName: Partner
                          flags: 0
                          createdAt: 1700000000000
                          followCount: 0
                          subscriberCount: 0
                          about: About text
                          location: ""
                          following: true
                          avatar:
                            id: "500000000000000001"
                            type: 1
                            mimetype: image/jpeg
                            locations:
                              - locationId: "1"
                                location: https://cdn3.fansly.com/300000000000000001/500000000000000001.jpeg
                      groups:
                        - id: "200000000000000001"
                          type: 1
                          groupFlags: 0
                          createdBy: "300000000000000001"
                          users:
                            - groupId: "200000000000000001"
                              userId: "300000000000000001"
                              type: 0
                              permissionFlags: 65535
                            - groupId: "200000000000000001"
                              userId: "100000000000000001"
                              type: 0
                              permissionFlags: 65535
                          lastMessage:
                            id: "400000000000000001"
                            type: 1
                            content: Message text
                            groupId: "200000000000000001"
                            senderId: "300000000000000001"
                            createdAt: 1700000000
                            attachments: []
                            embeds: []
                    hasMore: false
                  _pagination:
                    next_page: null
                  _meta:
                    _credits:
                      used: 1
                      balance: 10055812
                      note: Always
                    _cache:
                      is_cached: false
                      note: Cache disabled for this endpoint
                    _rate_limits:
                      limit_minute: 5000
                      limit_day: null
                      remaining_minute: 4999
                      remaining_day: null
                      notice: We have decided to remove our daily rate limits. Please remove any
                        references to these in your integrations.
                properties:
                  data:
                    type: object
                    properties:
                      data:
                        type: array
                        example:
                          - account_id: "100000000000000001"
                            groupId: "200000000000000001"
                            partnerAccountId: "300000000000000001"
                            partnerUsername: partner
                            flags: 0
                            unreadCount: 1
                            subscriptionTierId: null
                            lastMessageId: "400000000000000001"
                            lastUnreadMessageId: "400000000000000001"
                        items:
                          type: object
                          properties:
                            account_id:
                              type: string
                              example: "100000000000000001"
                            groupId:
                              type: string
                              example: "200000000000000001"
                            partnerAccountId:
                              type: string
                              example: "300000000000000001"
                            partnerUsername:
                              type: string
                              example: partner
                            flags:
                              type: integer
                              example: 0
                            unreadCount:
                              type: integer
                              example: 1
                            subscriptionTierId:
                              type: string
                              example: null
                              nullable: true
                            lastMessageId:
                              type: string
                              example: "400000000000000001"
                            lastUnreadMessageId:
                              type: string
                              example: "400000000000000001"
                      aggregationData:
                        type: object
                        properties:
                          accounts:
                            type: array
                            example:
                              - id: "300000000000000001"
                                username: partner
                                displayName: Partner
                                flags: 0
                                createdAt: 1700000000000
                                followCount: 0
                                subscriberCount: 0
                                about: About text
                                location: ""
                                following: true
                                avatar:
                                  id: "500000000000000001"
                                  type: 1
                                  mimetype: image/jpeg
                                  locations:
                                    - locationId: "1"
                                      location: https://cdn3.fansly.com/300000000000000001/500000000000000001.jpeg
                            items:
                              type: object
                              properties:
                                id:
                                  type: string
                                  example: "300000000000000001"
                                username:
                                  type: string
                                  example: partner
                                displayName:
                                  type: string
                                  example: Partner
                                flags:
                                  type: integer
                                  example: 0
                                createdAt:
                                  type: integer
                                  example: 1700000000000
                                followCount:
                                  type: integer
                                  example: 0
                                subscriberCount:
                                  type: integer
                                  example: 0
                                about:
                                  type: string
                                  example: About text
                                location:
                                  type: string
                                  example: ""
                                following:
                                  type: boolean
                                  example: true
                                avatar:
                                  type: object
                                  properties:
                                    id:
                                      type: string
                                      example: "500000000000000001"
                                    type:
                                      type: integer
                                      example: 1
                                    mimetype:
                                      type: string
                                      example: image/jpeg
                                    locations:
                                      type: array
                                      example:
                                        - locationId: "1"
                                          location: https://cdn3.fansly.com/300000000000000001/500000000000000001.jpeg
                                      items:
                                        type: object
                                        properties:
                                          locationId:
                                            type: string
                                            example: "1"
                                          location:
                                            type: string
                                            example: https://cdn3.fansly.com/300000000000000001/500000000000000001.jpeg
                          groups:
                            type: array
                            example:
                              - id: "200000000000000001"
                                type: 1
                                groupFlags: 0
                                createdBy: "300000000000000001"
                                users:
                                  - groupId: "200000000000000001"
                                    userId: "300000000000000001"
                                    type: 0
                                    permissionFlags: 65535
                                  - groupId: "200000000000000001"
                                    userId: "100000000000000001"
                                    type: 0
                                    permissionFlags: 65535
                                lastMessage:
                                  id: "400000000000000001"
                                  type: 1
                                  content: Message text
                                  groupId: "200000000000000001"
                                  senderId: "300000000000000001"
                                  createdAt: 1700000000
                                  attachments: []
                                  embeds: []
                            items:
                              type: object
                              properties:
                                id:
                                  type: string
                                  example: "200000000000000001"
                                type:
                                  type: integer
                                  example: 1
                                groupFlags:
                                  type: integer
                                  example: 0
                                createdBy:
                                  type: string
                                  example: "300000000000000001"
                                users:
                                  type: array
                                  example:
                                    - groupId: "200000000000000001"
                                      userId: "300000000000000001"
                                      type: 0
                                      permissionFlags: 65535
                                    - groupId: "200000000000000001"
                                      userId: "100000000000000001"
                                      type: 0
                                      permissionFlags: 65535
                                  items:
                                    type: object
                                    properties:
                                      groupId:
                                        type: string
                                        example: "200000000000000001"
                                      userId:
                                        type: string
                                        example: "300000000000000001"
                                      type:
                                        type: integer
                                        example: 0
                                      permissionFlags:
                                        type: integer
                                        example: 65535
                                lastMessage:
                                  type: object
                                  properties:
                                    id:
                                      type: string
                                      example: "400000000000000001"
                                    type:
                                      type: integer
                                      example: 1
                                    content:
                                      type: string
                                      example: Message text
                                    groupId:
                                      type: string
                                      example: "200000000000000001"
                                    senderId:
                                      type: string
                                      example: "300000000000000001"
                                    createdAt:
                                      type: integer
                                      example: 1700000000
                                    attachments:
                                      type: array
                                      example: []
                                    embeds:
                                      type: array
                                      example: []
                      hasMore:
                        type: boolean
                        example: false
                  _pagination:
                    type: object
                    properties:
                      next_page:
                        type: string
                        example: null
                        nullable: true
                  _meta:
                    type: object
                    properties:
                      _credits:
                        type: object
                        properties:
                          used:
                            type: integer
                            example: 1
                          balance:
                            type: integer
                            example: 10055812
                          note:
                            type: string
                            example: Always
                      _cache:
                        type: object
                        properties:
                          is_cached:
                            type: boolean
                            example: false
                          note:
                            type: string
                            example: Cache disabled for this endpoint
                      _rate_limits:
                        type: object
                        properties:
                          limit_minute:
                            type: integer
                            example: 5000
                          limit_day:
                            type: string
                            example: null
                            nullable: true
                          remaining_minute:
                            type: integer
                            example: 4999
                          remaining_day:
                            type: string
                            example: null
                            nullable: true
                          notice:
                            type: string
                            example: We have decided to remove our daily rate limits. Please remove any
                              references to these in your integrations.
      tags:
        - Chats
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Get your API Key from OnlyFansAPI Console -
        https://app.onlyfansapi.com/api-keys
````